Index: src/unittests/AnalysisBondsUnitTest.hpp
===================================================================
--- src/unittests/AnalysisBondsUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/AnalysisBondsUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ANALYSISBONDSUNITTEST_HPP_
 #define ANALYSISBONDSUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/AnalysisCorrelationToPointUnitTest.hpp
===================================================================
--- src/unittests/AnalysisCorrelationToPointUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/AnalysisCorrelationToPointUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ANALYSISCORRELATIONTOPOINTUNITTEST_HPP_
 #define ANALYSISCORRELATIONTOPOINTUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/AnalysisCorrelationToSurfaceUnitTest.hpp
===================================================================
--- src/unittests/AnalysisCorrelationToSurfaceUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/AnalysisCorrelationToSurfaceUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ANALYSISCORRELATIONTOSURFACEUNITTEST_HPP_
 #define ANALYSISCORRELATIONTOSURFACEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/AnalysisPairCorrelationUnitTest.hpp
===================================================================
--- src/unittests/AnalysisPairCorrelationUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/AnalysisPairCorrelationUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef ANALYSISPAIRCORRELATIONUNITTEST_HPP_
 #define ANALYSISPAIRCORRELATIONUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/BondGraphUnitTest.hpp
===================================================================
--- src/unittests/BondGraphUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/BondGraphUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef BONDGRAPHUNITTEST_HPP_
 #define BONDGRAPHUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/BoxUnitTest.hpp
===================================================================
--- src/unittests/BoxUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/BoxUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef BOXUNITTEST_HPP_
 #define BOXUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/CountBondsUnitTest.hpp
===================================================================
--- src/unittests/CountBondsUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/CountBondsUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef COUNTBONDSUNITTEST_HPP_
 #define COUNTBONDSUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/DummyUI.hpp
===================================================================
--- src/unittests/DummyUI.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/DummyUI.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * DummyUI.h
+ * DummyUI.hpp
  *
  *  Created on: Jul 29, 2010
@@ -6,6 +6,11 @@
  */
 
-#ifndef DUMMYUI_H_
-#define DUMMYUI_H_
+#ifndef DUMMYUI_HPP_
+#define DUMMYUI_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "UIElements/UIFactory.hpp"
@@ -59,3 +64,3 @@
 };
 
-#endif /* DUMMYUI_H_ */
+#endif /* DUMMYUI_HPP_ */
Index: src/unittests/FormulaUnitTest.hpp
===================================================================
--- src/unittests/FormulaUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/FormulaUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef FORMULAUNITTEST_HPP_
 #define FORMULAUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/LinkedCellUnitTest.hpp
===================================================================
--- src/unittests/LinkedCellUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/LinkedCellUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef LINKEDCELLUNITTEST_HPP_
 #define LINKEDCELLUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/ListOfBondsUnitTest.hpp
===================================================================
--- src/unittests/ListOfBondsUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/ListOfBondsUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef LISTOFBONDSUNITTEST_HPP_
 #define LISTOFBONDSUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/PeriodentafelUnitTest.hpp
===================================================================
--- src/unittests/PeriodentafelUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/PeriodentafelUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef PERIODENTAFELUNITTEST_HPP_
 #define PERIODENTAFELUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/SubspaceFactorizerUnitTest.hpp
===================================================================
--- src/unittests/SubspaceFactorizerUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/SubspaceFactorizerUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef SUBSPACEFACTORIZERUNITTEST_HPP_
 #define SUBSPACEFACTORIZERUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <cppunit/extensions/HelperMacros.h>
Index: src/unittests/TesselationUnitTest.hpp
===================================================================
--- src/unittests/TesselationUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/TesselationUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef TESSELATIONUNITTEST_HPP_
 #define TESSELATIONUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 /*********************************************** includes ***********************************/
Index: src/unittests/Tesselation_BoundaryTriangleUnitTest.hpp
===================================================================
--- src/unittests/Tesselation_BoundaryTriangleUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/Tesselation_BoundaryTriangleUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef TESSELATION_BOUNDARYTRIANGLEUNITTEST_HPP_
 #define TESSELATION_BOUNDARYTRIANGLEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 /*********************************************** includes ***********************************/
Index: src/unittests/Tesselation_InsideOutsideUnitTest.hpp
===================================================================
--- src/unittests/Tesselation_InsideOutsideUnitTest.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/unittests/Tesselation_InsideOutsideUnitTest.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef TESSELATION_INSIDEOUTSIDEUNITTEST_HPP_
 #define TESSELATION_INSIDEOUTSIDEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 /*********************************************** includes ***********************************/
